QGIS Application - Bug report #14735
SagaAlgorithm since Saga 2.2.4: RESAMPLING instead of INTERPOL
2016-04-27 03:07 AM - Max Bohnet

Status: Rejected

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.8 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 22693
Description

| have Saga 2.2.6 installed with QGIS 2.14.1 on linux.

Since Saga version 2.2.4 the name of the parameter "INTERPOL" changed to "RESAMPLING" in "io_gdal 0".

This is called by nearly all raster tools of the qgis saga geoalgorithms.

| could bypass the problem by adding a
SagaAlgorithm224.py (copy the SagaAlgorithm214.py)

,changing line 64 from

return 'io_gdal 0 -TRANSFORM 1 -INTERPOL O ...

to

return 'io_gdal 0 -TRANSFORM 1 -RESAMPLING O ...

,and adding the SagaAlgorithm224 Class to the SagaAlgorithmProvider.py module as Supported version
and creating a symlink from the description folder 2.2.3 10 2.2.4, 2.2.5 and 2.2.6 in the
/usr/share/qgis/python/plugins/processing/algs/saga/description folder

(knowing that the Descriptions then points to the wrong version).

Is a support for saga 2.2.4 or newer versions in qgis planned?

Related issues:
Duplicates QGIS Application - Bug report # 13279: Processing & SAGA Closed

2015-08-28

History

#1 - 2016-05-24 12:46 PM - Alexander Bruy
- Resolution set to duplicate
- Status changed from Open to Rejected

This known issue with SAGA. SAGA devs break API in every minor version making maintenance really hard.

#2 - 2016-10-26 02:19 PM - gcarrillo -
- Affected QGIS version changed from 2.14.1 to 2.14.8

Just leaving my temporary way to solve this (for reference). In SagaAlgorithm214.py:

from SagaUltils import getSagalnstalledVersion
if getSagalnstalledVersion() >= "2.2.4":

return 'io_gdal 0 -TRANSFORM 1 -RESAMPLING 0 -GRIDS " + destFilename + " -FILES " + source + "
else:

return 'io_gdal 0 -TRANSFORM 1 -INTERPOL 0 -GRIDS " + destFilename + " -FILES ™ + source + "

#3 - 2016-10-26 10:59 PM - Paolo Cavallini

RESAMPLING is already the default, so it can be removed safely

#4 - 2017-01-27 03:34 PM - Pedro Venancio

In QGIS 3, the temporary solution is similar. In SagaAlgorithm214.py:

from .SagaUtils import getinstalledVersion

if getnstalledVersion() >="2.2.4":

return 'io_gdal 0 -TRANSFORM 1 -RESAMPLING 0 -GRIDS " + destFilename + " -FILES " + source + "™
else:

return 'io_gdal 0 -TRANSFORM 1 -INTERPOL 0 -GRIDS " + destFilename + " -FILES " + source + "

#5 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown
